#declare SandTex =
texture {
    pigment {
        color rgb <.9,.85,.65>
    }
    finish  {
        diffuse .9
        crand .03
        ambient .2
    }
}

#declare StengTex=
texture {
  pigment {
    bozo scale <10,10,20>
    color_map {
    [0 1 color rgb <.55,.75,.4> color rgb <.6,.8,.4>]
    }
  }
  finish  {
    phong .3
    phong_size 60
    diffuse .6
    ambient .2
  }
  normal  {
    bumps 2
    scale <2,3,10>
  }
}

#declare LeafTex=
texture {
  StengTex
}

#declare BlueTex =
texture {
  pigment {color rgb 1}
  finish  {
    phong 1
    phong_size 10
    diffuse .6
    ambient .5
  }
  normal {bumps .2 scale .007}
}

#declare Clouds =
    pigment {
        bozo turbulence .8
        color_map {
        [0 .3 color Clear color Clear]
        [.3 1 color Clear color rgbf <1,1,1,0>]
        }
    scale <5,3,3>
    }

#declare TarBright =
pigment {
      granite turbulence .3
      color_map {
      [0 .47 color rgb .3 color rgb .3]
      [.47 .471 color rgb .3 color rgb <.7,.55,.55>]
      [.471 .5 color rgb <.7,.55,.55> color rgb <.7,.55,.55>]
      [.5 .51 color rgb <.7,.55,.55> color rgb .3]
      [.97 .971 color rgb .3 color rgb .7]
      [.971 1 color rgb .7 color rgb .7]
      }
  scale .03
}

#declare TarDark =
  pigment {
      granite turbulence .3
      color_map {
      [0 .47 color rgb .2 color rgb .2]
      [.47 .471 color rgb .2 color rgb <.6,.45,.45>]
      [.471 .5 color rgb <.6,.45,.45> color rgb <.6,.45,.45>]
      [.5 .51 color rgb <.6,.45,.45> color rgb .2]
      [.97 .971 color rgb .2 color rgb .6]
      [.971 1 color rgb .6 color rgb .6]
      }
  scale .03
}

#declare Flecki =
pigment {bozo turbulence .8
      color_map {
      [0 .65 color Clear color Clear]
      [.65 1 color Yellow color Yellow]
      }
  scale <.1,.1,.05>
}

#declare Stripes =
pigment {gradient z// scale 3
        pigment_map {
        [0 color Clear]
        [.5 color Clear]
        [.5 Flecki]
        [1 Flecki]}
}

#declare StripeTex =
texture {
  pigment {
    gradient x scale 4
    pigment_map {
      [0 Stripes]
      [.02 Stripes]
      [.02 color Clear]
      [1 color Clear]}
    }
  finish {phong 0
    diffuse 1
  }
}

#declare StreetTex =
texture {
    pigment {
      gradient x scale 1.85
      turbulence <.1,0,0>
      pigment_map {
      [0 TarBright]
      [.2 TarBright]
      [.4 TarDark]
      [.6 TarDark]
      [.8 TarBright]
      [1 TarBright]}
    }
    finish {
        phong 0
        diffuse .6
    }
    normal {
        bumps .8
        scale .004
    }
}

#declare WSand =
pigment {
    bozo scale 2
    pigment_map {
    [0 color Clear]
    [.35 color Clear]
    [.5 color rgb <.9,.85,.65>]
    [.65 color Clear]
    [1 color Clear]}
}

#declare StrSand =
texture {
pigment {gradient x
        rotate <0,20,0>
        scale 1.35
        turbulence <.3,0,.3>
    pigment_map {
    [0 color Clear]
    [.4 WSand]
    [.7 WSand]
    [1 color Clear]}
 translate <-11,0,0>
}
}

#declare STex =
texture {
    pigment {
        color rgb <.9,.85,.65>
    }
    finish  {
        diffuse .9
        crand .03
    }
    normal {
        bumps .1
        scale <2,1,1>
    }
}